classification
Title: Zen amendment
Type: enhancement Stage: patch review
Components: Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7, Python 2.6
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: barry, brett.cannon, christian.heimes, jcea, pitrou, r.david.murray, tim.peters
Priority: normal Keywords: patch

Created on 2013-03-07 15:29 by christian.heimes, last changed 2013-03-10 03:09 by jcea. This issue is now closed.

Files
File name Uploaded Description Edit
zen_amendment.patch christian.heimes, 2013-03-07 15:29 review
Messages (8)
msg183671 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-03-07 15:29
Tim came up  with a fitting amendment to the Zen of Python. It pretty much sums up our future Code of Conduct in one sentence. But see for yourself! ;)
msg183674 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-03-07 15:58
Disagreed. This is the kind of sentence that cannot be correctly
understood without the (missing) original context.

It is also, IMHO, a rather poor wording. The categories of "civilized"
and "barbarian", as any kind of binary thinking (us vs. them) are routinely
used to diminish foreign or dominated cultures (or worse, think about
colonialism). I think they shouldn't be related with either a CoC, or the
more general efforts towards diversity.

The evolution of the meaning of "barbarian" should shed a light:
http://en.wikipedia.org/wiki/Barbarian
msg183675 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2013-03-07 16:07
On Mar 07, 2013, at 03:58 PM, Antoine Pitrou wrote:

>Disagreed. This is the kind of sentence that cannot be correctly
>understood without the (missing) original context.

Plus, we fear change. ;)
msg183678 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-03-07 16:29
Yeah, but in this case I think Antoine is right.  This kind of "argument" is the kind of argument that is used to shut down discussion, in form whether or not in substance.  Which is too bad, because it is nicely clever.
msg183690 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-03-07 18:25
How about "civility beats rudeness". That's clearly delineates it's about your discourse with others and eliminates any superiority issues people were feeling with the term "barbaric".

Obviously Tim would still need to sign off on this as well.
msg183691 - (view) Author: Tim Peters (tim.peters) * (Python committer) Date: 2013-03-07 18:29
As I just clarified on the members list, the "Zen" is about the design of Python-the-language.  It's hard to imagine that a programming language _could_ be barbaric or rude, Perl notwithstanding ;-)
msg183692 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-03-07 18:32
Actually, INTERCAL mandates a certain amount of politeness (not too little, but not too much either): http://en.wikipedia.org/wiki/INTERCAL
msg183693 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-03-07 18:37
Tim has spoken, so closing the bug as rejected.
History
Date User Action Args
2013-03-10 03:09:32jceasetnosy: + jcea
2013-03-07 18:37:47brett.cannonsetstatus: open -> closed
resolution: rejected
messages: + msg183693
2013-03-07 18:32:21pitrousetmessages: + msg183692
2013-03-07 18:29:56tim.peterssetmessages: + msg183691
2013-03-07 18:25:55brett.cannonsetnosy: + brett.cannon
messages: + msg183690
2013-03-07 16:29:49r.david.murraysetnosy: + r.david.murray
messages: + msg183678
2013-03-07 16:07:28barrysetmessages: + msg183675
2013-03-07 15:58:44pitrousetnosy: + pitrou
messages: + msg183674
2013-03-07 15:50:20barrysetnosy: + barry
2013-03-07 15:29:39christian.heimescreate